> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deposit transactions for signing



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /deposit
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /deposit:
    get:
      tags:
        - Deposit
      summary: Get deposit transactions for signing
      operationId: DepositController_deposit
      parameters:
        - name: address
          required: true
          in: query
          schema:
            type: string
            example: '0x1234567890abcdef1234567890abcdef12345678'
          description: Wallet address to deposit from
        - name: amount
          required: true
          in: query
          schema:
            type: string
            pattern: \d+(\.\d+)?
            example: '5.0'
          description: Amount to deposit
        - name: chainId
          required: true
          in: query
          schema:
            type: integer
            minimum: -9007199254740991
            maximum: 9007199254740991
            example: 42161
          description: Chain ID
        - name: exchange
          required: true
          in: query
          schema:
            type: string
            enum:
              - aster
              - binance
              - bybit
              - extended
              - gate
              - hyperliquid
              - lighter
              - mexc
              - ondo
              - robinhood
          description: Target exchange
        - name: tokenAddress
          required: false
          in: query
          schema:
            example: '0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9'
            type: string
          description: ERC-20 token contract address to deposit
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositResponseDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    DepositResponseDto:
      type: object
      properties:
        fee:
          description: >-
            Bridge fee deducted from the deposit amount, in the same units as
            amount
          example: '0.1'
          type: string
        transactions:
          type: array
          items:
            type: object
            properties:
              calldata:
                type: object
                properties:
                  chainId:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  data:
                    type: string
                    description: Hex-encoded string
                    example: 0xabcdef...
                  to:
                    type: string
                    description: Ethereum address
                    example: '0x1234567890abcdef1234567890abcdef12345678'
                required:
                  - chainId
                  - data
                  - to
                description: Transaction calldata for on-chain execution
              meta:
                type: object
                properties:
                  amount:
                    type: string
                    description: Deposit amount in human-readable form
                    example: '5.0'
                  type:
                    type: string
                    enum:
                      - approve
                      - transfer
                      - contract-call
                    description: Type of on-chain action
                required:
                  - amount
                  - type
                description: Transaction metadata
            required:
              - calldata
              - meta
          description: >-
            Transactions for signing and sending, including meta information
            such as amount and type
      required:
        - transactions
      title: DepositResponse
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.